org.apache.ignite.internal.processors.rest.handlers

## Interface GridRestCommandHandler

All Known Implementing Classes:
  DataStructuresCommandHandler, GridCacheCommandHandler, GridCacheQueryCommandHandler, GridRestCommandHandlerAdapter, GridTaskCommandHandler, GridTopologyCommandHandler, GridVersionCommandHandler

    public interface GridRestCommandHandler

Command handler.

### Method Summary

Methods
`IgniteInternalFuture<GridRestResponse>` `handleAsync(GridRestRequest req)`
`Collection<GridRestCommand>` `supportedCommands()`

### Method Detail

#### supportedCommands

    Collection<GridRestCommand> supportedCommands()

Returns:
  Collection of supported commands.

#### handleAsync

    IgniteInternalFuture<GridRestResponse> handleAsync(GridRestRequest req)

Parameters:
  `req` - Request.
Returns:
  Future.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015